Icons (Freeplane API 1.11.10)
Description: declaration: package: org.freeplane.api, interface: Icons

Package org.freeplane.api

# Interface Icons

All Superinterfaces:
  `IconsRO`

All Known Subinterfaces:
  `Proxy.Icons`

public interface Icons extends IconsRO
Node's icons: `node.icons` - read-write.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(String name)`
  adds an icon to a node if an icon for the given key can be found.
  `void`
  `addAll(Collection<String> names)`
  `void`
  `addAll(IconsRO icons)`
  `void`
  `addIcon(String name)`
  Deprecated.
  since 1.2 - use `add(String)` instead.
  `void`
  `clear()`
  removes all icons.
  `boolean`
  `remove(int index)`
  deletes the icon at the given index, returns true if success (icon existed).
  `boolean`
  `remove(String name)`
  deletes first occurence of icon with the given name, returns true if success (icon existed).
  `boolean`
  `removeIcon(String name)`
  Deprecated.
  since 1.2 - use `remove(String)` instead.

  ### Methods inherited from interface org.freeplane.api.IconsRO

  `contains, getAt, getFirst, getIcons, getUrls, iterator, size`

- ## Method Details

  - ### add

    void add(String name)
    adds an icon to a node if an icon for the given key can be found. The same icon can be added multiple times.

           println("all available icon keys: " + FreeplaneIconUtils.listStandardIconKeys())
           node.icons.addIcon("button_ok")

    See Also:
      - `FreeplaneIconFactory`

  - ### addAll

    void addAll(Collection<String> names)
    Since:
      1.4

  - ### addAll

    void addAll(IconsRO icons)
    Since:
      1.4

  - ### addIcon

    @Deprecated void addIcon(String name)
    Deprecated.
    since 1.2 - use `add(String)` instead.

  - ### remove

    boolean remove(int index)
    deletes the icon at the given index, returns true if success (icon existed).

  - ### remove

    boolean remove(String name)
    deletes first occurence of icon with the given name, returns true if success (icon existed).

  - ### removeIcon

    @Deprecated boolean removeIcon(String name)
    Deprecated.
    since 1.2 - use `remove(String)` instead.

  - ### clear

    void clear()
    removes all icons.
    Since:
      1.2